OCR(1)

NAME

ocr
     - An over-the-cell router

SYNOPSIS

ocr [options] -L <logical_view> -P <placed_view> -O <routed_view>

DESCRIPTION
ocr is an automatic router tool for standard-cells.
input net-list
The logical_view and placed_view files describe the input net-list.
ocr supports a hierarchical net-list. In this case the net-list is flattened by the router according to the catalog file. The file format of the input files is set respectively by the environment variable MBK_IN_LO and MBK_IN_PH.
output layout
The file containing the routed block will have the name routed_view. The output format is defined by the environment variable MBK_OUT_PH.

OPTIONS
Number of layers
-l [0-9]+
This paramaters sets how many layers the router is allowed to use. The maximun is 5 (ie up to, and including, ALU6). The default is the minimum : 2, ie use only ALU2 and ALU3.
Iterations
-i [0-9]+
Tells the router to stop its main loop when it reaches N iterations. The default is to loop till core dump.
Verbose mode
-v set the verbose mode on
-vv produces a lot of output
-d for debugging purpose

ENVIRONMENT VARIABLES

ocr uses the environment variables MBK_VDD and MBK_VSS to know the name of the power signals vdd and vss.

SEE ALSO

ocp(1), MBK_IN_LO(1), MBK_IN_PH(1), MBK_OUT_PH(1), MBK_VDD(1), MBK_VSS(1)